package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.BisHachStor;

/**
 * 危化品入库 服务层
 */
public interface IBisHachStorService {

    /**
     * 查询危化品入库信息
     * @param guid 查询条件
     * @return 危化品入库信息
     */
    BisHachStor selectBisHachStorByGuid(String guid);

    /**
     * 查询危化品入库列表
     * @param bisHachStor 危化品入库查询条件
     * @return 危化品入库集合
     */
    List<BisHachStor> selectBisHachStorList(BisHachStor bisHachStor);

    /**
     * 新增危化品入库
     * @param bisHachStor 危化品入库信息
     * @return 影响行数
     */
    int insertBisHachStor(BisHachStor bisHachStor);

    /**
     * 修改危化品入库
     * @param bisHachStor 危化品入库信息
     * @return 影响行数
     */
    int updateBisHachStor(BisHachStor bisHachStor);

    /**
     * 删除危化品入库
     * @param guid 危化品入库主键
     * @return 影响行数
     */
    int deleteBisHachStorByGuid(String guid);

    /**
     * 批量删除危化品入库
     * @param guids 危化品入库主键数组
     * @return 影响行数
     */
    int deleteBisHachStorByGuids(String[] guids);
}
